This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 474457 - (CVE-2008-5299) CVE-2008-5299 chm2pdf insecure temporary file symlink flaw
CVE-2008-5299 chm2pdf insecure temporary file symlink flaw
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
http://nvd.nist.gov/nvd.cfm?cvename=C...
public=20081201,reported=20081202,sou...
: Security
Depends On: 474459 665494
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-03 16:54 EST by Josh Bressers
Modified: 2016-03-04 06:45 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-07 12:04:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2008-12-03 16:54:20 EST
chm2pdf 0.9 allows user-assisted local users to delete arbitrary files via a symlink attack on .chm files in the (1) /tmp/chm2pdf/work or (2) /tmp/chm2pdf/orig temporary directories.

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=501959
Comment 2 Vincent Danen 2010-12-23 22:22:38 EST
Let's try this again.  chm2pdf in Fedora 14 is still vulnerable to this.  A
patch was provided in the Debian bug:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=501959#20

I can't think of a reason not to use it.
Comment 3 Vincent Danen 2010-12-23 22:24:07 EST
Created chm2pdf tracking bugs for this issue

Affects: fedora-all [bug 665494]
Comment 4 Vincent Danen 2011-02-07 12:04:17 EST
This flaw was corrected in Fedora 14:

chm2pdf-0.9.1-9.fc14 (FEDORA-2011-0454)

and Fedora 13:

chm2pdf-0.9.1-8.fc13 (FEDORA-2011-0467)

Note You need to log in before you can comment on or make changes to this bug.